<?php

/**
 * Register Settings
 */
function hammy_options_init() {

        register_setting( 'hammy_options', 'hammy_options' );
        add_settings_section( 'hammy_section_main', '', 'hammy_options_header', 'hammy_section' );
        add_settings_field( 'hammy_parent', 'What is the content parent (i.e. #content,.content,.post)?', 'hammy_field_parent', 'hammy_section', 'hammy_section_main' );
        add_settings_field( 'hammy_breakpoints', 'Breakpoints?', 'hammy_field_breakpoints', 'hammy_section', 'hammy_section_main' );

}

/**
 * Setting Fields
 */

function hammy_options_header () {}

function hammy_field_parent() {

        $options = get_option( 'hammy_options' );
        $value = $options['hammy_parent'];
        echo "<input id='setting_api' name='hammy_options[hammy_parent]' type='text' size='40' value='$value' />";

}


function hammy_field_breakpoints() {

        $options = get_option( 'hammy_options' );
        $value = $options['hammy_breakpoints'];
        echo "<input id='setting_api' name='hammy_options[hammy_breakpoints]' type='text' size='40' value='$value' />";

}

/**
 * Register Page
 */
function hammy_add_page() {

        add_options_page( 'Hammy', 'Hammy', 'manage_options', 'hammy', 'hammy_options_page' );

    }

/**
 * Display Page
 */
function hammy_options_page() {
    ?>

	<div class="wrap">
	
		<h2>Hammy</h2>
		
		<p>Welcome to Hammy. In order to get the most from it, add the content class or ID that is consistent across all templates (i.e. on every page and post), oftentimes named "#content". Then add the breakpoints relevant to this container and its media queries (if you omit the parent container setting, it will use the browser width to trigger breakpoints).</p>

        <form action="options.php" method="post">
			<?php settings_fields( 'hammy_options' ); ?>
			<?php do_settings_sections( 'hammy_section' ); ?>
			<br />
			<input name="Submit" type="submit" value="<?php esc_attr_e('Save Changes'); ?>" />
		</form>
		
	</div>

<?php

} ?>